changelog 4.62 KB
Newer Older
Alessandro Ghedini's avatar
Alessandro Ghedini committed
1
rakudo (2014.01-1) unstable; urgency=medium
2 3

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
4
  * Bump versioned Build-Depends on nqp
5

Alessandro Ghedini's avatar
Alessandro Ghedini committed
6
 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 20 Feb 2014 14:29:40 +0100
7

Alessandro Ghedini's avatar
Alessandro Ghedini committed
8
rakudo (2013.12-1) unstable; urgency=medium
9 10

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
11 12
  * Bump versioned Build-Depends on nqp to 2013.12.1
  * Bump Standards-Version to 3.9.5 (no changes needed)
13

Alessandro Ghedini's avatar
Alessandro Ghedini committed
14
 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 23 Dec 2013 12:27:17 +0100
15

Alessandro Ghedini's avatar
Alessandro Ghedini committed
16
rakudo (2013.11-1) unstable; urgency=low
17 18

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
19 20
  * Use --prefix instead of --with-nqp in Configure.pl
  * Bump versioned nqp (Build-)Depends
21

Alessandro Ghedini's avatar
Alessandro Ghedini committed
22
 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 24 Nov 2013 17:46:54 +0100
23

Alessandro Ghedini's avatar
Alessandro Ghedini committed
24
rakudo (2013.10-1) unstable; urgency=low
25 26

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
27 28 29
  * Bump versioned nqp and parrot (Build-)Depends
  * Fix vcs-field-not-canonical
  * Do not Depends on parrot-devel anymore
30

Alessandro Ghedini's avatar
Alessandro Ghedini committed
31
 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 01 Nov 2013 16:27:49 +0100
32

Alessandro Ghedini's avatar
Alessandro Ghedini committed
33
rakudo (2013.03-1) unstable; urgency=low
34 35

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
36
  * Bump versioned (Build-)Depends on parrot and nqp
37

Alessandro Ghedini's avatar
Alessandro Ghedini committed
38
 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 04 Apr 2013 17:53:29 +0200
39

Alessandro Ghedini's avatar
Alessandro Ghedini committed
40
rakudo (2012.10-1) unstable; urgency=low
41 42

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
43 44
  * Bump parrot and nqp required versions
  * Bump Standards-Version to 3.9.4 (no changes needed)
45

Alessandro Ghedini's avatar
Alessandro Ghedini committed
46
 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 28 Oct 2012 13:22:43 +0100
47

Alessandro Ghedini's avatar
Alessandro Ghedini committed
48 49 50 51 52 53 54 55
rakudo (0.1~2012.04.1-2) unstable; urgency=low

  * Dynamically generate versioned depends on nqp during build
    to fix 'Missing or wrong version of dependency ...' errors
  * Remove not needed source/options file

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Jun 2012 15:20:12 +0200

Alessandro Ghedini's avatar
Alessandro Ghedini committed
56
rakudo (0.1~2012.04.1-1) unstable; urgency=low
57 58

  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
59
  * Bump required nqp and parrot version
Alessandro Ghedini's avatar
Alessandro Ghedini committed
60 61
  * Explicitly set nqp path during configure
  * Re-word long description
Alessandro Ghedini's avatar
Alessandro Ghedini committed
62
  * Use dh_parrot debhelper plugin
63

Alessandro Ghedini's avatar
Alessandro Ghedini committed
64
 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 15:50:16 +0200
65

Alessandro Ghedini's avatar
Alessandro Ghedini committed
66
rakudo (0.1~2012.01-1) unstable; urgency=low
Alessandro Ghedini's avatar
Alessandro Ghedini committed
67

68
  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
69
  * Depends on versioned parrot too (Closes: #653240)
Alessandro Ghedini's avatar
Alessandro Ghedini committed
70 71 72 73 74
  * Bump debhelper compat level to 9
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Update upstream copyright years
  * (Build) depend on nqp too, update parrot version
Alessandro Ghedini's avatar
Alessandro Ghedini committed
75
  * Build depend on libicu-dev (Closes: #669499)
Alessandro Ghedini's avatar
Alessandro Ghedini committed
76
  * Email change: Alessandro Ghedini -> ghedo@debian.org
Alessandro Ghedini's avatar
Alessandro Ghedini committed
77
  * Manually depend on parrotapi-X.Y.Z
Alessandro Ghedini's avatar
Alessandro Ghedini committed
78

Alessandro Ghedini's avatar
Alessandro Ghedini committed
79
 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Apr 2012 17:04:08 +0200
Alessandro Ghedini's avatar
Alessandro Ghedini committed
80

Alessandro Ghedini's avatar
Alessandro Ghedini committed
81
rakudo (0.1~2011.07-1) unstable; urgency=low
82

Dominique Dumont's avatar
Dominique Dumont committed
83
  [ Alessandro Ghedini ]
84
  * New upstream release
Alessandro Ghedini's avatar
Alessandro Ghedini committed
85 86 87 88
  * Bump debhelper compat level to 8
  * Update Dominique's email address
  * Bump (Build-)Depends on parrot to 3.6.0
  * Add Provides: perl6 field
89

Dominique Dumont's avatar
Dominique Dumont committed
90 91 92 93 94 95 96 97 98 99
  [ Dominique Dumont ]
  * debian/copyright: reformatted with config-edit
  + debian/source/option: Build process creates a config.status
    file. This option ignores it when checking source changes
  * debian/control:
    + added (Build-)Depends on libparrot3.6.0
    * Slightly changed synopsis
    * reformatted with config-edit

 -- Dominique Dumont <dod@debian.org>  Sun, 07 Aug 2011 09:51:59 +0200
100

Alessandro Ghedini's avatar
Alessandro Ghedini committed
101
rakudo (0.1~2011.04-1) unstable; urgency=low
102 103

  * New upstream release (Closes: #601862, #585762, #577502)
Alessandro Ghedini's avatar
Alessandro Ghedini committed
104 105 106 107 108 109 110 111 112 113 114 115 116 117 118
  * New maintainer
  * Switch to 3.0 (quilt) format
  * Update dependencies (Closes: #584498)
  * Update debian/copyright to lastest DEP5 revision
  * Do not generate/install perl6 manpage (now done by the build system)
  * Enable tests
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Do not install extra LICENSE files and duplicated docs
  * Remove debian/clean (no more needed)
  * Add Vcs-* fields in debian/control
  * Rewrite (short) description
  * Update upstream copyright years
  * Upload to unstable

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 17 May 2011 11:31:09 +0200
119

120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147
rakudo (0.1~2010.01-1) experimental; urgency=low

  * generate a manpage from docs/running.pod
  * update the d/watch file
  * New Upstream Version
    - update dependencies

 -- Ryan Niebur <ryan@debian.org>  Mon, 29 Mar 2010 22:47:34 -0700

rakudo (0.1~2009.09-3) experimental; urgency=low

  * fix build-dependencies this time (Closes: 551115)
  * remove perl6_group.* in clean

 -- Ryan Niebur <ryan@debian.org>  Fri, 16 Oct 2009 22:34:27 -0700

rakudo (0.1~2009.09-2) experimental; urgency=low

  * make sure that version 1.6.0 of parrot-devel, parrot, and libparrot-
    dev are installed

 -- Ryan Niebur <ryan@debian.org>  Mon, 05 Oct 2009 17:00:01 -0700

rakudo (0.1~2009.09-1) experimental; urgency=low

  * initial release (closes: 544399)

 -- Ryan Niebur <ryan@debian.org>  Sun, 04 Oct 2009 14:31:57 -0700